[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TLVAdvancedCustomDrawEvent

Specifies an event handler signalled to perform advanced custom drawing for an owner-drawn list view control.

## Declaration

Source position: comctrls.pp line 1335

`type TLVAdvancedCustomDrawEvent = procedure(`
`Sender: TCustomListView;`
`const ARect: TRect;`
`Stage: TCustomDrawStage;`
`var DefaultDraw: Boolean`
`) of object;`

## Arguments

`Sender` |  | Object for the event notification. It must be cast to the TCustomListView type to access properties or methods specific to the list view control.
`ARect` |  | Rectangle with the bounds for the list view control.
`Stage` |  | Drawing stage for the list view control. Generally not cdPrePaint.
`DefaultDraw` |  | True if default drawing should be performed in the list view control.

## Description

TLVAdvancedCustomDrawEvent is the type used to implement the OnAdvancedCustomDraw event handler in TCustomListView. See TLVDrawItemEvent and TLVAdvancedCustomDrawItemEvent for event types signalled to draw items on a list view control.

## See also

TCustomListView.OnAdvancedCustomDraw |  | Event handler signalled to custom draw the grid control when the draw state is not cdPrePaint.
TCustomListView.OnCustomDraw |  | Event handler signalled to perform custom drawing for the list view control.
TCustomListView.CustomDraw |  | Performs custom drawing in the specified rectangle and returns True on success.
TLVCustomDrawEvent |  | Specifies an event handler signalled to custom draw a list view control.
TLVCustomDrawItemEvent |  | Specifies an event handler signalled to custom draw an item on a list view control.
TLVAdvancedCustomDrawItemEvent |  | Specifies an event handler signalled to perform advanced custom drawing for a list view item with stage and state information.
TCustomDrawStage |  | TCustomDrawStage a series of constants to define the drawing stages for custom-drawn controls.